curl --request GET \
--url https://api.learningcommons.org/knowledge-graph/v0/academic-standards/{caseIdentifierUUID}/children \
--header 'x-api-key: <api-key>'import requests
url = "https://api.learningcommons.org/knowledge-graph/v0/academic-standards/{caseIdentifierUUID}/children"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.learningcommons.org/knowledge-graph/v0/academic-standards/{caseIdentifierUUID}/children', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"identifier": "3a650f7a-3b10-55d0-9d07-c2bdf8e08175",
"caseIdentifierURI": "https://satchelcommons.com/ims/case/v1p0/CFItems/6b9c2b26-d7cc-11e8-824f-0242ac160002",
"caseIdentifierUUID": "6b9c2b26-d7cc-11e8-824f-0242ac160002",
"name": null,
"statementCode": "6.RP.A.1",
"description": "Understand the concept of a ratio and use ratio language to describe a ratio relationship between two quantities. *For example, \"The ratio of wings to beaks in the bird house at the zoo was 2:1, because for every 2 wings there was 1 beak.\" \"For every vote candidate A received, candidate C received nearly three votes.\"*",
"statementType": "Standard",
"normalizedStatementType": "Standard",
"jurisdiction": "Multi-State",
"academicSubject": "Mathematics",
"gradeLevel": [
"6"
],
"inLanguage": "en-US",
"dateCreated": null,
"dateModified": "2025-02-05",
"notes": null,
"author": "1EdTech",
"provider": "Learning Commons",
"license": "https://creativecommons.org/licenses/by/4.0/",
"attributionStatement": "Knowledge Graph is provided by Learning Commons under the CC BY-4.0 license. Learning Commons received state standards and written permission under CC BY-4.0 from 1EdTech.",
"hasChildren": false
},
{
"identifier": "c3126032-2984-5b67-9ed5-2f2f0821e99f",
"caseIdentifierURI": "https://satchelcommons.com/ims/case/v1p0/CFItems/6b9d6aa3-d7cc-11e8-824f-0242ac160002",
"caseIdentifierUUID": "6b9d6aa3-d7cc-11e8-824f-0242ac160002",
"name": null,
"statementCode": "6.RP.A.2",
"description": "Understand the concept of a unit rate $\\frac{a}{b}$ associated with a ratio a:b with $b \\neq 0$, and use rate language in the context of a ratio relationship.",
"statementType": "Standard",
"normalizedStatementType": "Standard",
"jurisdiction": "Multi-State",
"academicSubject": "Mathematics",
"gradeLevel": [
"6"
],
"inLanguage": "en-US",
"dateCreated": null,
"dateModified": "2025-02-05",
"notes": "Expectations for unit rates in this grade are limited to non-complex fractions.",
"author": "1EdTech",
"provider": "Learning Commons",
"license": "https://creativecommons.org/licenses/by/4.0/",
"attributionStatement": "Knowledge Graph is provided by Learning Commons under the CC BY-4.0 license. Learning Commons received state standards and written permission under CC BY-4.0 from 1EdTech.",
"hasChildren": false
}
],
"pagination": {
"limit": 2,
"nextCursor": "eyJpZGVudGlmaWVyIjogImMzMTI2MDMyLTI5ODQtNWI2Ny05ZWQ1LTJmMmYwODIxZTk5ZiJ9",
"hasMore": true
}
}{
"error": "ValidationError",
"message": "Invalid pagination parameter. Limit must be between 1 and 1000 (e.g., limit=100). Cursor must be a valid base64-encoded string from a previous response.",
"requestId": "req_12345"
}{
"error": "NotFoundError",
"message": "Academic standard with CASE Network UUID \"6bd8552e-6f8f-4538-bf33-d016ac080178\" not found. Verify the UUID is correct.",
"requestId": "req_12345"
}{
"error": "InternalServerError",
"message": "An unexpected error occurred while retrieving child standards",
"requestId": "req_12345"
}Children of a standard
Fetches StandardsFrameworkItems that are direct children of the specified academic standard through the “hasChild” relationship.
This endpoint retrieves academic standards that are hierarchically organized under the given academic standard. This allows you to navigate down the standards framework hierarchy from domains to clusters to individual academic standards, or from any parent grouping to its children.
Use this endpoint when you need to:
- Navigate down the standards framework hierarchy (e.g., from domain to academic standards)
- Get all academic standards within a specific grouping or cluster
- Build tree visualizations of standards framework structures
- Explore the organizational structure of a standards document
Note: This returns direct children only, not all descendants. To get all descendants, you’ll need to traverse multiple levels.
The endpoint returns paginated results. Use the limit and cursor parameters to control the number of results returned.
Related topics:
Authorizations
API key for authentication
Path Parameters
CASE Network UUID for the resource
Query Parameters
Maximum number of results to return
1 <= x <= 1000Pagination cursor obtained from the nextCursor field in a previous response (not needed for the first page)
Was this page helpful?